{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Clusterlint helps operators conform to Kubernetes best practices around\nresources, security and reliability to avoid common problems while operating\nor upgrading the clusters.\n\nTo request a clusterlint run on your cluster, send a POST request to\n`/v2/kubernetes/clusters/$K8S_CLUSTER_ID/clusterlint`. This will run all\nchecks present in the `doks` group by default, if a request body is not\nspecified. Optionally specify the below attributes.\n\nFor information about the available checks, please refer to\n[the clusterlint check documentation](https://github.com/digitalocean/clusterlint/blob/master/checks.md).\n","properties":{"path":{"type":"object","properties":{"cluster_id":{"type":"string","format":"uuid","minimum":1,"examples":["bd5f5959-5e1e-4205-a714-a914373942af"],"description":"A unique ID that can be used to reference a Kubernetes cluster."}},"required":["cluster_id"],"additionalProperties":false},"body":{"$ref":"#/definitions/clusterlint_request"}},"required":["path"],"additionalProperties":false,"definitions":{"clusterlint_request":{"type":"object","properties":{"include_groups":{"type":"array","items":{"type":"string"},"description":"An array of check groups that will be run when clusterlint executes checks.","examples":[["basic","doks","security"]]},"include_checks":{"type":"array","items":{"type":"string"},"description":"An array of checks that will be run when clusterlint executes checks.","examples":[["bare-pods","resource-requirements"]]},"exclude_groups":{"type":"array","items":{"type":"string"},"description":"An array of check groups that will be omitted when clusterlint executes checks.","examples":[["workload-health"]]},"exclude_checks":{"type":"array","items":{"type":"string"},"description":"An array of checks that will be run when clusterlint executes checks.","examples":[["default-namespace"]]}}}}},"name":"Run Clusterlint Checks on a Kubernetes Cluster","id":"digitalocean.kubernetes_run_clusterlint","example":{"path":{"cluster_id":"bd5f5959-5e1e-4205-a714-a914373942af"}},"maxRequests":1,"summary":false}}